Subject: bug#29840: guix pull failed

From: Fis Trivial <[email-masked]>
Date: Wed, 27 Dec 2017 05:03:03 +0000

On 12/27/2017 03:14 AM, Leo Famulari wrote:
> On Sun, Dec 24, 2017 at 05:33:21PM +0000, Fis Trivial wrote:
>
> Hi, thanks for this report!
>
>> Runing `guix pull` generates the following error message:
>>
>>
>> Updating from Git repository at
>> 'https://git.savannah.gnu.org/git/guix.git'...
>> Building from Git commit b982fb1c09573f4638324d7809ec18d0c9956d11...
>> The following derivation will be built:
>>      /gnu/store/d8gx000cbyihr3x3gggnm9d61adjb0s3-guix-latest.drv
>> copying and compiling to
>> '/gnu/store/42n0q7dhq5l7yd0hd550m80zw2z256fy-guix-latest' with Guile
>> 2.2.2...
>> loading...     26.3% of 659 filesrandom seed for tests: 1514135440
>> compiling...    100.0% of 659 files
>> Backtrace:
>> Exception thrown while printing backtrace:
>> ERROR: In procedure private-lookup: Module named (guile) does not exist
> I successfully did `guix pull` based on that commit (b982fb1c095).
>
>> Platform:
>>
>> I am currently running guix on top of Fedora 26 x86_64. The native
>> version of
>>
>> guile is 2.0.14, and the guile used in compilation is 2.2.2 (reading from
>> the error message).
> The Guile provided by the host system is not used for `guix pull` as far
> as I can tell, so I'm not sure what's going on here.
>
> I'm curious, how did you install Guix? That is, from a Fedora package,
> our manual's instructions, etc?
Thanks for the reply. I installed Guix according to the Guix manual.
The next pull for another commit was successful. I am not sure if
this sill worth investigating.